#pragma once

#ifndef FREERDP_CHANNEL_ESLUVC_CLIENT_DRDYNVC_H
#define FREERDP_CHANNEL_ESLUVC_CLIENT_DRDYNVC_H

#include <freerdp/types.h>

#include <freerdp/message.h>
#include <freerdp/freerdp.h>

/**
 * Client Interface
 */

typedef struct _esluvc_client_context EsluvcClientContext;

typedef UINT (*pcEsluvcOnChannelTransport)(EsluvcClientContext* context, wStream* s);
typedef int (*pcEsluvcOnChannelSend)(EsluvcClientContext* context, void* data, size_t length);

struct _esluvc_client_context
{
    void* handle;
    void* custom;

    pcEsluvcOnChannelTransport esluvcChannelTransport;
    pcEsluvcOnChannelSend esluvcChannelSend;
    
    UINT32 lastRequestedFormatId;
    rdpContext* rdpcontext;
};

#endif /* FREERDP_CHANNEL_ESLUVC_CLIENT_DRDYNVC_H */
