#ifndef FREERDP_CHANNEL_GCBDDY_CLIENT_DRDYNVC_H
#define FREERDP_CHANNEL_GCBDDY_CLIENT_DRDYNVC_H

#include <freerdp/types.h>

#include <freerdp/message.h>
#include <freerdp/freerdp.h>

/**
 * Client Interface
 */

typedef struct _gcbddy_client_context GcbddyClientContext;

typedef UINT (*pcGcbddyOnChannelTransport)(GcbddyClientContext* context, wStream* s);
typedef int (*pcGcbddyOnChannelSend)(GcbddyClientContext* context, void* data, size_t length);

struct _gcbddy_client_context
{
    void* handle;
    void* custom;

    pcGcbddyOnChannelTransport gcbddyChannelTransport;
    pcGcbddyOnChannelSend gcbddyChannelSend;
    
    UINT32 lastRequestedFormatId;
    rdpContext* rdpcontext;
};

#endif /* FREERDP_CHANNEL_GCBDDY_CLIENT_DRDYNVC_H */

